/*モーダル*/
.hamburger__modal {
	background-color: #FFC5C5;
    opacity: 0.95;
	position: absolute;
	top: 0;
	right: 0;
	width: 420px;
	height: 100vh;
	z-index: 9997;
	display: none;
}

.hamburger__modal.is-active {
	display: block;
}

/*メニュー項目*/
.hamburger__menu {
    margin-top: 132px;
    text-align: center;
}

.hamburger__menu a {
    color: #764E38;
    line-height: 40px;
    font-weight: 500;
}

.menu-title {
    color: #764E38;
    font-weight: 500;
    font-size: 32px;
    line-height: 26px;
    margin: 16px;
    padding: 8px;
}

.menu-link a:hover {
    opacity: 0.7;
}

@media screen and (max-width: 768px){
    .hamburger__modal {
        width: 340PX;
    }
    .menu-title {
        font-size: 28px;
    }
}


/*==================================================
3本線が横方向に回転して×に
===================================*/

/*ボタン外側※レイアウトによってpositionや形状は適宜変更してください*/
.openbtn{
	/*ボタン内側の基点となるためrelativeを指定。
追従するナビゲーションの場合はfixed＋top、rightといった位置をセットで指定*/
	position: relative;
	background:#FF9494;
	cursor: pointer;
    width: 98px;
    height: 98px;
	border-radius: 16px;
    z-index: 10000;
}

/*画面幅960px以上の時*/
/*@media screen and (min-width:960px) {
    .openbtn {
        display: none;
    }
}*/

/*ボタン内側*/
.openbtn .openbtn-area{
    transition: all .6s;/*アニメーションの設定*/
	width: 98px;
	height: 98px;
}

.openbtn span{
    display: inline-block;
    transition: all .4s;
    position: absolute;
    left: 20px;
    height: 10px;
    border-radius: 5px;
	background: #fff;
  	width: 60%;
  }

.openbtn span:nth-of-type(1) {
	top:20px;	
}

.openbtn span:nth-of-type(2) {
	top:45px;
}

.openbtn span:nth-of-type(3) {
	top:70px;
}

/*activeクラスが付与されると .openbtn-areaが360度回転し、その中の線が回転して×に*/
.openbtn.active .openbtn-area{
	transform: rotate(360deg);
}

.openbtn.active span:nth-of-type(1) {
    top: 37px;
    left: 15px;
    transform: translateY(6px) rotate(-45deg);
    width: 70%;
}

.openbtn.active span:nth-of-type(2) {
	opacity: 0;
}

.openbtn.active span:nth-of-type(3){
    top: 50px;
    left: 15px;
    transform: translateY(-6px) rotate(45deg);
    width: 70%;
}

@media screen and (max-width: 768px){
    .openbtn{
        width: 50px;
        height: 50px;
        border-radius: 5px;
    }

    .openbtn .openbtn-area{
        width: 50px;
        height: 50px;
    }

    .openbtn span{
    display: inline-block;
    transition: all .4s;
    position: absolute;
    left: 14px;
    height: 3px;
    border-radius: 2px;
	background: #fff;
  	width: 45%;
    }

    .openbtn span:nth-of-type(1) {
        top:15px;	
    }

    .openbtn span:nth-of-type(2) {
        top:23px;
    }

    .openbtn span:nth-of-type(3) {
        top:31px;
    }

    .openbtn.active span:nth-of-type(1) {
    top: 18px;
    left: 18px;
    transform: translateY(6px) rotate(-45deg);
    width: 30%;
    }

    .openbtn.active span:nth-of-type(3){
        top: 30px;
        left: 18px;
        transform: translateY(-6px) rotate(45deg);
        width: 30%;
    }
}